TikiWiki tiki-browse_categories.php offset Variable SQL Injection

2004-04-11T14:03:29
ID OSVDB:5224
Type osvdb
Reporter JeiAr(jeiar@gulftech.org)
Modified 2004-04-11T14:03:29

Description

Vulnerability Description

TikiWiki contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the "offset" variable in the "tiki-browse_categories.php" module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

Solution Description

Upgrade to version 1.8.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

TikiWiki contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the "offset" variable in the "tiki-browse_categories.php" module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

Manual Testing Notes

http://[victim]/tiki-browse_categories.php?find=&deep=off&parentId=[VID]&offset=[SQL]

Where [VID] is a valid ID.

References:

Vendor URL: http://www.tikiwiki.org/ Vendor URL: http://freshmeat.net/projects/tiki/ Vendor Specific Advisory URL Secunia Advisory ID:11344 Secunia Advisory ID:13772 Other Advisory URL: http://www.gulftech.org/04112004.php